using System.Collections.Generic;

namespace XGame.Framework.Logger
{
    public interface ILogger
    {
        void Initialize();
        string Log(LogLevel level, string format, params object[] args);
        string Event(string type, string id, Dictionary<string, string> infos);
    }
}
